Bug 822992 - jmx_ plugin has a bug
jmx_ plugin has a bug
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: munin (Show other bugs)
el6
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 14:00 EDT by boss-chifra
Modified: 2012-06-03 14:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 03:22:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my patch (1.07 KB, patch)
2012-05-18 14:00 EDT, boss-chifra
no flags Details | Diff

  None (edit)
Description boss-chifra 2012-05-18 14:00:08 EDT
Created attachment 585465 [details]
my patch

Description of problem:

GCTime module of the jmx_ plugin tries to write DERIVED value with fractional part. DERIVED values must be integer values but the GCTime module tries to write the time in seconds with a fractional part, which results in the module never successfully reporting any values.
The easiest solution would be to switch type from DERIVED to GAUGE 

Version-Release number of selected component (if applicable):

munin-java-plugins-1.4.7-3.el6.noarch

How reproducible:

Steps to Reproduce:
1. Enable EPEL on CentOS 6.2
2. yum install munin-java-plugins-1.4.7-3.el6.noarch
3.
munin-run jmx_GCTime
CopyTime.value 1.9510
MarkSweepCompactTime.value 29.5260
4.
munin-run jmx_GCTime  config
CopyTime.type DERIVED
MarkSweepCompactTime.type DERIVED
Actual results:

type DERIVED

Expected results:

type GAUGE

Additional info:

add my patch to spec file

Patch3: GCTime.java.patch
%patch3 -p0
Comment 1 boss-chifra 2012-05-18 14:04:53 EDT
Also my ticket on Munin
http://munin-monitoring.org/ticket/1215
Comment 2 Fedora Update System 2012-05-19 12:27:00 EDT
munin-1.4.7-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-1.4.7-5.fc17
Comment 3 Fedora Update System 2012-05-19 12:29:34 EDT
munin-1.4.7-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-1.4.7-5.fc16
Comment 4 Fedora Update System 2012-05-19 12:34:17 EDT
munin-1.4.7-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/munin-1.4.7-5.fc15
Comment 5 Fedora Update System 2012-05-19 12:37:11 EDT
munin-1.4.7-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-1.4.7-5.el6
Comment 6 Fedora Update System 2012-05-19 12:39:54 EDT
munin-1.4.7-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-1.4.7-5.el5
Comment 7 Fedora Update System 2012-05-19 14:32:44 EDT
Package munin-1.4.7-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing munin-1.4.7-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8123/munin-1.4.7-5.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-05-27 03:22:04 EDT
munin-1.4.7-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-05-27 21:24:04 EDT
munin-1.4.7-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-05-27 21:25:42 EDT
munin-1.4.7-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-06-03 14:29:35 EDT
munin-1.4.7-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-06-03 14:30:40 EDT
munin-1.4.7-5.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.